Welcome to Geeklog Thursday, May 26 2022 @ 02:42 pm EDT

Geeklog Forums

Upgrades gone wacky


Status: offline

calimus

Forum User
Newbie
Registered: 17/12/01
Posts: 13
I've been working through test environment for the last few days since I want to get my site from GL 1.2-5 to 1.3.5. The upgrade scripts have almost always scrambled my data at some point and now I just want to install a fresh copy of 1.3.5 but have run into an issue. When I set it all up and run the install script, or do everything manualy, I get blank pages when trying to view the site. It's pretty frustraiting, I'm not a php coder at all and new to even the basics of mysql, so I'm really lost. Is there a difference in version requirements for php or mysql after ver 1.3.1??????
Trying to be different, just like everyone else.
 Quote

Status: offline

Tony

Site Admin
Admin
Registered: 17/12/01
Posts: 405
Location:Urbandale, Iowa
Common causes for blank pages are: 1) database connection parameters in config.php are wrong 2) on windows installations, trailing whitespace on any of the lib-*.php files after the closing ?> will cause this 3) in some rare instances, permissions errors can cause this Please give us the brand and version of operating system, web server and mysql. Also, the upgrade path should not scamble data in your database. If you are having this you need to report this 'scambling' as a bug in more concrete terms. Otherwise others may experience the same problem. To date, the only notable upgrade bug I have found is the featured flag on the stories table gets set to 2 for some stories (should be 0) which causes stories to appear out of order. --Tony
The reason people blame things on previous generations is that there's only one other choice.
 Quote

Status: offline

isol8

Forum User
Regular Poster
Registered: 14/05/02
Posts: 73
I had the same problem on my install, and it was config.php
 Quote

Status: offline

calimus

Forum User
Newbie
Registered: 17/12/01
Posts: 13
The OS environment is Redhat 7.1, MySQL 3.23.45 and I'm not sure what ver of apache is on that server. I can get GL ver 1.3.1 to load fine so I'm fairly confidnet I'm not hosing up the config.php (it's still possible though). And I should clear up the scramble term. I really mean things like screwing up all the user permissions going from 1.2-5 to 1.3, getting duplicate table errors when trying to upgrade from 1.3 to 1.3.1 and I haven't gottem much passed that due to frustration. I have tried clean new installs of 1.3.4 and 1.3.5 but just get blank pages after DB creation. The DB is fine, the data in it looks good, I just can't figure out what whent south from there. I'm just looking for a bit of insight, I'll continue to check the config.php stuffs and see what I can figure out.
Trying to be different, just like everyone else.
 Quote

Anonymous

Anonymous
I had run it this problem as well. For me it was a permission problem with the user I was logging in to mysql with. To fix it, I had to grant that user more privliges. The command to do this is somewhere in the documentation. Good Luck! Mark Birnie http://www.birnie.net/~mbirnie
 Quote

Status: offline

calimus

Forum User
Newbie
Registered: 17/12/01
Posts: 13
Fatal error: input in flex scanner failed in /home/techogra/public_html/techdeve on line 1 I'm still lost, but it's better then a blank page like before. If any of you would like to help a complete moron, please contact me at calimus@techography.net with Geeklog in the subject so that I know whats it's about. Thanks
Trying to be different, just like everyone else.
 Quote

Status: offline

calimus

Forum User
Newbie
Registered: 17/12/01
Posts: 13
got rid of the error. I basicly had to change permissions on just about every directory but It's done. For grins, I did an update from my old 1.2-5 db and I have run into the probelms that my account no longer is the admin account and there doesn't appear to be an admin account either. I think If I can get this fixed, i'll be in good shape.
Trying to be different, just like everyone else.
 Quote

Status: offline

calimus

Forum User
Newbie
Registered: 17/12/01
Posts: 13
Found the "newadmin" account by cruising the users table. problem, when I try to log in with it, I get an error on the users.php saying that I have a syntax error near " on line 1. I looked at the file, but there isn't a " anywhere near line 1, or at least not what I consider line 1. Any other account works fine, just the admin account has an issue. I also changed the user ID's on the admin account and my own as a test and when i logged in as my normal account, i got the error as long as It was set to the newadmin uid. once I setmy account back to it's normal uid, I could log in under it fine. I keep getting further every time, but I think I just hit a brick wall.
Trying to be different, just like everyone else.
 Quote

Status: offline

Tony

Site Admin
Admin
Registered: 17/12/01
Posts: 405
Location:Urbandale, Iowa
You should be able to quickly create a new Geeklog super user following the instructions in <a href="http://www.geeklog.net/article.php?story=2002010207002453">this article</a>
The reason people blame things on previous generations is that there's only one other choice.
 Quote

Status: offline

calimus

Forum User
Newbie
Registered: 17/12/01
Posts: 13
Tony, you are the man. That worked perfectly. Big thanks to ya. Now to take a break and be happy with what I have, or attempt the upgrade to 1.3.5? I'll have to see how I feel tomorrow. heh.
Trying to be different, just like everyone else.
 Quote

All times are EDT. The time is now 02:42 pm.

  • Normal Topic
  • Sticky Topic
  • Locked Topic
  • New Post
  • Sticky Topic W/ New Post
  • Locked Topic W/ New Post
  •  View Anonymous Posts
  •  Able to post
  •  Filtered HTML Allowed
  •  Censored Content